#pragma once
#include <string>
#include "../base/interface.hpp"
#include "../../protocol/protocol.hpp"

namespace lsp::provider::client
{
    class RegisterCapability : public IRequestProvider
    {
    public:
        RegisterCapability() = default;

        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        std::string ProvideResponse(const protocol::RequestMessage& request, ExecutionContext& context) override;
    };
}
